%global srcname pytest-arraydiff
%global sum The py.test arraydiff plugin

Name:           python-%{srcname}
Version:        0.5.0
Release:        %mkrel 4
Summary:        %{sum}
Group:		Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python-pip-wheel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools-scm)

%description
This is a py.test plugin to facilitate the generation and comparison of
data arrays produced during tests.

The basic idea is that you can write a test that generates a Numpy array
(or other related objects depending on the format). You can then either
run the tests in a mode to generate reference files from the arrays, or
you can run the tests in comparison mode, which will compare the results
of the tests to the reference ones within some tolerance.

At the moment, the supported file formats for the reference files are:
* A plain text-based format (based on Numpy loadtxt output)
* The FITS format (requires astropy). With this format, tests can return
  either a Numpy array for a FITS HDU object.



%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-numpy
Requires:       python3-pytest
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This is a py.test plugin to facilitate the generation and comparison of
data arrays produced during tests.

The basic idea is that you can write a test that generates a Numpy array
(or other related objects depending on the format). You can then either
run the tests in a mode to generate reference files from the arrays, or
you can run the tests in comparison mode, which will compare the results
of the tests to the reference ones within some tolerance.

At the moment, the supported file formats for the reference files are:
* A plain text-based format (based on Numpy loadtxt output)
* The FITS format (requires astropy). With this format, tests can return
  either a Numpy array for a FITS HDU object.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python3-%{srcname}
%license LICENSE
%doc CHANGES.md README.rst
%{python3_sitelib}/*



%changelog
* Sun Mar 02 2025 wally <wally> 0.5.0-4.mga10
+ Revision: 2158482
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 0.5.0-3.mga10
+ Revision: 2015707
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1831959
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.5.0-1.mga9
+ Revision: 1775892
- BR python3dist(setuptools-scm)
- BR python-setuptools-wheel
- BR python-pip-wheel
- BR python3dist(pip) (remove python-pip-wheel)
- BR python-pip-wheel
- version 0.5.0
- rebuild for python-3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.3-2.mga9
+ Revision: 1534941
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.3-1.mga8
+ Revision: 1450266
- imported package python-pytest-arraydiff


* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.3-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2-1
- initial packaging effort

